Debian DLA-3522-1:hdf5 - LTS 安全更新

high Nessus 插件 ID 179631

简介

远程 Debian 主机上缺少一个或多个与安全性相关的更新。

描述

远程 Debian 10 主机上安装的程序包受到 dla-3522 公告中提及的多个漏洞影响。

- 在 HDF HDF5 1.10.2 库的 H5Ofill.c 中的 H5O_fill_new_decode 和 H5O_fill_old_decode 中发现越界读取漏洞。此漏洞可能招致远程拒绝服务攻击或信息泄露攻击。
(CVE-2018-11206)

- 尝试解析构建的 HDF 文件期间,在 HDF HDF5 到 1.10.3 库的 H5Dchunk.c 中,函数 H5D__create_chunk_file_map_hyper() 中抛出了 SIGFPE 信号,原因是除零保护不正确。此漏洞可能招致远程拒绝服务攻击。(CVE-2018-17233)

- 在 HDF HDF5 到 1.10.3 库的 H5Ocache.c 中,H5O__chunk_deserialize() 函数中的内存泄漏漏洞让攻击者可以通过构建的 HDF5 文件造成拒绝服务(内存消耗)。
(CVE-2018-17234)

- 尝试解析构建的 HDF 文件期间,在 HDF HDF5 1.10.3 库中 H5Dchunk.c 中,函数 H5D__chunk_set_info_real() 中抛出了 SIGFPE 信号,原因是除零保护不正确。此问题与 CVE-2018-11207 不同。(CVE-2018-17237)

- 尝试解析构建的 HDF 文件期间,在 HDF HDF5 到 1.10.3 库的 h5repack_filters.c 中,apply_filters() 函数中抛出了 SIGFPE 信号,原因是除零保护不正确。此漏洞可能招致远程拒绝服务攻击。(CVE-2018-17434)

- 在 HDF HDF5 到 1.10.3 库的 H5Odtype.c 中,H5O_dtype_decode_helper() 函数中的内存泄漏漏洞让攻击者可以通过构建的 HDF5 文件造成拒绝服务(内存消耗)。
(CVE-2018-17437)

请注意,Nessus 尚未测试这些问题,而是只依据应用程序自我报告的版本号进行判断。

解决方案

升级 hdf5 程序包。

对于 Debian 10 buster,已在版本 1.10.4+repack-10+deb10u1 中修复这些问题。

另见

https://security-tracker.debian.org/tracker/source-package/hdf5

https://www.debian.org/lts/security/2023/dla-3522

https://security-tracker.debian.org/tracker/CVE-2018-11206

https://security-tracker.debian.org/tracker/CVE-2018-17233

https://security-tracker.debian.org/tracker/CVE-2018-17234

https://security-tracker.debian.org/tracker/CVE-2018-17237

https://security-tracker.debian.org/tracker/CVE-2018-17434

https://security-tracker.debian.org/tracker/CVE-2018-17437

https://packages.debian.org/source/buster/hdf5

插件详情

严重性: High

ID: 179631

文件名: debian_DLA-3522.nasl

版本: 1.0

类型: local

代理: unix

发布时间: 2023/8/9

最近更新时间: 2023/8/9

支持的传感器: Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

风险信息

VPR

风险因素: Medium

分数: 6.0

CVSS v2

风险因素: Medium

基本分数: 5.8

时间分数: 4.5

矢量: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:P

CVSS 分数来源: CVE-2018-11206

CVSS v3

风险因素: High

基本分数: 8.1

时间分数: 7.3

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:H

时间矢量: CVSS:3.0/E:P/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:debian:debian_linux:hdf5-tools, p-cpe:/a:debian:debian_linux:libhdf5-jni, p-cpe:/a:debian:debian_linux:libhdf5-cpp-103, p-cpe:/a:debian:debian_linux:libhdf5-mpich-dev, p-cpe:/a:debian:debian_linux:hdf5-helpers, p-cpe:/a:debian:debian_linux:libhdf5-java, cpe:/o:debian:debian_linux:10.0, p-cpe:/a:debian:debian_linux:libhdf5-103, p-cpe:/a:debian:debian_linux:libhdf5-doc, p-cpe:/a:debian:debian_linux:libhdf5-mpi-dev, p-cpe:/a:debian:debian_linux:libhdf5-dev, p-cpe:/a:debian:debian_linux:libhdf5-openmpi-103, p-cpe:/a:debian:debian_linux:libhdf5-openmpi-dev, p-cpe:/a:debian:debian_linux:libhdf5-mpich-103

必需的 KB 项: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

可利用: true

易利用性: Exploits are available

补丁发布日期: 2023/8/9

漏洞发布日期: 2018/5/16

参考资料信息

CVE: CVE-2018-11206, CVE-2018-17233, CVE-2018-17234, CVE-2018-17237, CVE-2018-17434, CVE-2018-17437